Name: asterisk-freemusic
Summary: Classical music for MusicOnHold
Version: 1.0
Release: alt7
License: Public Domain
Group: System/Servers
Url: http://www.signate.com/products/?page=moh

%define mohdir /var/lib/asterisk/mohmp3

BuildArch: noarch

Requires: asterisk-base
Requires: %name-mozart = %version-%release

BuildPreReq: sox mpg123

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: %name-%version.tar

%description
Elena Kuschnerova, pianist, and Lev Guelbard, violinist, playing public domain
classical music on hold with your PBX.

%package mozart
Group: System/Servers
Summary: Classical music for MusicOnHold

%description mozart
Elena Kuschnerova, pianist, and Lev Guelbard, violinist, playing public domain
classical music on hold with your PBX.

%prep
%setup
%build
#for s in *.mp3; do
#mpg123 -w "$s.wav" -m "$s"
#sox "$s.wav" -r8000 "${s%%.mp3}.wav" resample
#rm -f "$s.wav" "$s"
#done
%make_build
%install
mkdir -p %buildroot%mohdir
install *.wav %buildroot%mohdir/
%files
%attr(0644,root,root) %mohdir/beethoven_violin_sonata_n7.wav
%attr(0644,root,root) %mohdir/beethoven__violin_sonata_n.wav
%attr(0644,root,root) %mohdir/brahms_piano_quartet_n3_24.wav
%attr(0644,root,root) %mohdir/brahms_piano_quartet_n3_34.wav
%attr(0644,root,root) %mohdir/brahms_piano_quartet_n3_44.wav
%attr(0644,root,root) %mohdir/brahms_scherzo.wav
%attr(0644,root,root) %mohdir/brahms__violin_sonata__2_1.wav
%attr(0644,root,root) %mohdir/brahms__violin_sonata__2_2.wav
%attr(0644,root,root) %mohdir/brahms__violin_sonata__2__.wav
%attr(0644,root,root) %mohdir/brahms_violin_sonata_n3_14.wav
%attr(0644,root,root) %mohdir/brahms_violin_sonata_n3_24.wav
%attr(0644,root,root) %mohdir/brahms_violin_sonata_n3_44.wav
%attr(0644,root,root) %mohdir/mahler__piano_quartet.wav
%attr(0644,root,root) %mohdir/mendelssohn__piano_trio_i1.wav
%attr(0644,root,root) %mohdir/mendelssohn__piano_trio_i2.wav
%attr(0644,root,root) %mohdir/mendelssohn__piano_trio_i3.wav
%attr(0644,root,root) %mohdir/mendelssohn__piano_trio_in.wav
%attr(0644,root,root) %mohdir/mendelssohn_violinpiano_1.wav
%attr(0644,root,root) %mohdir/mendelssohn_violinpiano_2.wav
%attr(0644,root,root) %mohdir/mendelssohn_violinpiano_c.wav
%attr(0644,root,root) %mohdir/piazzolla__verano_porteno.wav
%attr(0644,root,root) %mohdir/schubert_violin_sonatina_3.wav
%attr(0644,root,root) %mohdir/schubert_violin_sonatina_4.wav
%attr(0644,root,root) %mohdir/schubert_violin_sonatina_o.wav

%files mozart
%attr(0644,root,root) %mohdir/mozart__violin_sonata_e_m1.wav
%attr(0644,root,root) %mohdir/mozart__violin_sonata_e_mi.wav
%attr(0644,root,root) %mohdir/mozart__violin_sonata_g_m1.wav
%attr(0644,root,root) %mohdir/mozart__violin_sonata_g_ma.wav

%changelog
* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt7
- fix file rights (set 0644 instead of 0755)
- SMP-friendly build

* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt6
- move some records to separate subpackage

* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt5
- add Url tag to package

* Sat Aug 26 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt4
- fix requires

* Sat Aug 19 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt3
- convert mp3 to 8kHz wav

* Tue Nov 22 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt2
- noarch

* Tue Nov 01 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- first build

